Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.audit.impl.model
Class GroupAuditTaskImpl

    java.lang.Object
      org.jbpm.services.task.audit.impl.model.AbstractAuditTaskImpl
          org.jbpm.services.task.audit.impl.model.GroupAuditTaskImpl

All Implemented Interfaces:
  Serializable, AuditTask, GroupAuditTask

    @Entity
    public class GroupAuditTaskImpl

extends AbstractAuditTaskImpl
implements GroupAuditTask

See Also:
  Serialized Form

Constructor Summary
`GroupAuditTaskImpl()`
`GroupAuditTaskImpl(String potentialOwners, long taskId, String status, Date activationTime, String name, String description, int priority, String createdBy, Date createdOn, Date expirationTime, long processInstanceId, String processId, int processSessionId, long parentId)`

Method Summary
`String` | `getPotentialOwners()`
`void` | `setPotentialOwners(String potentialOwners)`

Methods inherited from class org.jbpm.services.task.audit.impl.model.AbstractAuditTaskImpl
`getActivationTime, getCreatedBy, getCreatedOn, getDescription, getDueDate, getName, getParentId, getPriority, getProcessId, getProcessInstanceId, getProcessSessionId, getStatus, getTaskId, setActivationTime, setCreatedBy, setCreatedOn, setDescription, setDueDate, setName, setParentId, setPriority, setProcessId, setProcessInstanceId, setProcessSessionId, setStatus, setTaskId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jbpm.services.task.audit.impl.model.api.AuditTask
`getActivationTime, getCreatedBy, getCreatedOn, getDescription, getDueDate, getName, getParentId, getPriority, getProcessId, getProcessInstanceId, getProcessSessionId, getStatus, getTaskId, setActivationTime, setCreatedBy, setCreatedOn, setDescription, setDueDate, setName, setParentId, setPriority, setProcessId, setProcessInstanceId, setProcessSessionId, setStatus, setTaskId`

Constructor Detail

### GroupAuditTaskImpl

    public GroupAuditTaskImpl()

### GroupAuditTaskImpl

    public GroupAuditTaskImpl(String potentialOwners,
                              long taskId,
                              String status,
                              Date activationTime,
                              String name,
                              String description,
                              int priority,
                              String createdBy,
                              Date createdOn,
                              Date expirationTime,
                              long processInstanceId,
                              String processId,
                              int processSessionId,
                              long parentId)

Method Detail

### getPotentialOwners

    public String getPotentialOwners()

  Specified by:
    `getPotentialOwners` in interface `GroupAuditTask`

### setPotentialOwners

    public void setPotentialOwners(String potentialOwners)

  Specified by:
    `setPotentialOwners` in interface `GroupAuditTask`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.